# Generated by Django 2.2.4 on 2019-08-02 08:15

import django.db.models.deletion
from django.db import migrations, models

import django_loose_fk.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="ZaakType",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=50, verbose_name="name")),
            ],
            options={"verbose_name": "zaaktype", "verbose_name_plural": "zaaktypen"},
        ),
        migrations.CreateModel(
            name="Zaak",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=50, verbose_name="name")),
                ("extern_zaaktype", models.URLField(blank=True)),
                (
                    "zaaktype",
                    django_loose_fk.fields.FkOrURLField(
                        fk_field="_zaaktype",
                        help_text="",
                        url_field="extern_zaaktype",
                        verbose_name=None,
                    ),
                ),
                (
                    "_zaaktype",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="testapp.ZaakType",
                    ),
                ),
            ],
            options={"verbose_name": "zaak", "verbose_name_plural": "zaken"},
        ),
        migrations.AddConstraint(
            model_name="zaak",
            constraint=models.CheckConstraint(
                check=models.Q(
                    models.Q(
                        models.Q(_negated=True, _zaaktype__isnull=True),
                        ("extern_zaaktype", ""),
                    ),
                    models.Q(
                        ("_zaaktype__isnull", True),
                        models.Q(_negated=True, extern_zaaktype=""),
                    ),
                    _connector="OR",
                ),
                name="fk_or_url_filled",
            ),
        ),
    ]
